Skip to main content
GET
List the delivery log
Minimum role required: Admin

Authorizations

X-Axilio-Api-Key
string
header
required

Customer API key (axl_ prefix).

Query Parameters

limit
integer<int64>
default:50

Page size.

Required range: 1 <= x <= 200
cursor
string

Opaque cursor from a previous page's next_cursor. Omit for the first page.

Maximum string length: 512
event_type
string

Restrict the log to one event type. Omit for all types.

Maximum string length: 255
endpoint_id
string

Restrict the log to deliveries to one destination (endpoint id). Omit for all destinations.

Maximum string length: 255

Response

OK

One page of the organization's delivery log.

deliveries
object[] | null
required

Delivery-log events on this page, newest first.

next_cursor
string | null
required

Opaque cursor for the next page (pass as the cursor query parameter). Null when this is the last page.